sc::DerivCenters(3)

NAME
sc::DerivCenters - DerivCenters keeps track the centers that derivatives are taken with respect to.

SYNOPSIS

#include <dercent.h>

  Public Methods
DerivCenters ()
These are used by the Integral specializations to initializes the DerivCenters structure.
void clear ()
Clear the list of centers.
void add_center (int center, const Ref< GaussianBasisSet > &, int shell)
Add a center for which derivatives will be computed.
void add_omitted (int center, const Ref< GaussianBasisSet > &, int shell)
Add a center for which derivatives will not be computed.
void add_center (int center, int atom)
Add a center for which derivatives will be computed.
void add_omitted (int center, int atom)
Add a center for which derivatives will not be computed.
int n () const
The number of unique centers minus one.
int center (int i) const
The center number.
int atom (int i) const
The atom number.
int omitted_center () const
The center that is omitted from the integral buffer.
int has_omitted_center () const
Returns 1 if there is an omitted center.
int omitted_atom () const
The atom that is omitted from the integral buffer.

DETAILED DESCRIPTION

DerivCenters keeps track the centers that derivatives are taken with respect to.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.